<template>
  <AppCard :title="title">
    <template #header-aside><nuxt-link :to="baseUrl" v-if="baseUrl">查看更多+</nuxt-link></template>
    <div class="project-list">
      <div class="project-item" v-for="(item, index) in list" :key="index">
        <AppLink :data="item"><img :src="item.imgUrl"/></AppLink>
        <div class="tools">
          <el-button type="primary" @click="handleSubmit(item)">我要报名</el-button>
          <AppLink :data="item" style="margin-left:20px;">
            <el-button plain type="primary">了解详情</el-button>
          </AppLink>
        </div>
      </div>
    </div>
  </AppCard>
</template>
<script>
import AppCard from '@/components/AppCard.vue'
import AppLink from '@/components/Link.vue'

export default {
  name: 'ProjectCard',
  props: { list: { type: Array, default: () => [] }, title: String, baseUrl: String },
  components: { AppCard, AppLink },
  data() {
    return {}
  },
  methods: {
    handleSubmit(data) {
      if (data.onClick) {
        data.onClick()
      } else {
        const formEl = document.querySelector('#form')
        if (!formEl) return
        window.scrollTo(0, formEl.offsetTop)
        if (this.$parent.$refs.formSubmit) {
          this.$parent.$refs.formSubmit.form.project_id = data.project_id
        }
      }
    }
  }
}
</script>

<style lang="scss">
.project-list {
  padding-bottom: 70px;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  row-gap: 20px;
  column-gap: 20px;
}
.project-item {
  background-color: #fff;
  img {
    width: 100%;
  }
  &:hover {
    box-shadow: 0px 1px 24px rgba(0, 0, 0, 0.11);
  }
}
.tools {
  position: relative;
  margin-top: -20px;
  padding: 20px 0;
  display: flex;
  justify-content: center;
  border-top: 1px dashed #dcdcdc;
  z-index: 1;
  .el-button {
    width: 110px;
    padding: 10px 0;
  }
}
</style>
